package org.eco.als.domain.bo;

import org.eco.als.domain.AirConfiguration;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 飞机构型业务对象 als_air_configuration_t
 *
 * @author wgk
 * @date 2024-10-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = AirConfiguration.class, reverseConvertGenerate = false)
public class AirConfigurationBo extends BaseEntity {
    /**
     * 唯一ID
     */
    private Long id;

    /**
     * 机型
     */
    private String aircraftType;

    /**
     * 构型编码
     */
    private String conCode;

    /**
     * 产品名称
     */
    private String name;

    /**
     * 规格型号
     */
    private String specsModel;

    /**
     * 图号
     */
    private String drawingNumber;

    /**
     * 供应商
     */
    private String supplier;

    /**
     * 描述
     */
    private String remarks;


}
