package org.eco.als.domain.bo;

import org.eco.als.domain.FaultCase;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 故障案例业务对象 als_fault_case_t
 *
 * @author wgk
 * @date 2024-10-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = FaultCase.class, reverseConvertGenerate = false)
public class FaultCaseBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 机型
     */
    private String aircraftType;

    /**
     * 故障代码
     */
    private String faultCode;

    /**
     * 故障名称
     */
    private String faultName;

    /**
     * 故障位置
     */
    private String location;

    /**
     * 故障等级
     */
    private String level;

    /**
     * 故障现象
     */
    private String symptoms;

    /**
     * 故障原因
     */
    private String faultCause;

    /**
     * 备注
     */
    private String remarks;


}
