package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.eco.common.excel.annotation.ExcelDictFormat;
import org.eco.common.excel.convert.ExcelDictConvert;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

import lombok.NoArgsConstructor;

/**
 * 故障案例导入视图对象 als_fault_case_t
 *
 * @author wgk
 * @date 2024-10-25
 */

@Data
@NoArgsConstructor
@ExcelIgnoreUnannotated
public class FaultCaseImportVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


    /**
     * 机型
     */
    @ExcelProperty(value = "机型")
    private String aircraftType;

    /**
     * 故障代码
     */
    @ExcelProperty(value = "故障代码")
    private String faultCode;

    /**
     * 故障名称
     */
    @ExcelProperty(value = "故障名称")
    private String faultName;

    /**
     * 故障位置
     */
    @ExcelProperty(value = "故障位置")
    private String location;

    /**
     * 故障等级
     */
    @ExcelProperty(value = "故障等级")
    private String level;

    /**
     * 故障现象
     */
    @ExcelProperty(value = "故障现象")
    private String symptoms;

    /**
     * 故障原因
     */
    @ExcelProperty(value = "故障原因")
    private String faultCause;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remarks;

    /**
     * 删除标识（1删除 0未删除）
     */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


}
