package org.eco.als.domain.vo;

import org.eco.als.domain.FaultCase;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.eco.common.excel.annotation.ExcelDictFormat;
import org.eco.common.excel.convert.ExcelDictConvert;
import com.eco.common.mapper.constant.MapperConstant;
import com.eco.common.mapper.annotation.FieldMapper;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;

import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 故障案例视图对象 als_fault_case_t
 *
 * @author wgk
 * @date 2024-10-25
 */
@Data
@ExcelIgnoreUnannotated
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = FaultCase.class)
public class FaultCaseVo extends BaseEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @ExcelProperty(value = "编号")
    private Long id;

    /**
     * 机型
     */
    @ExcelProperty(value = "机型")
    private String aircraftType;

    /**
     * 故障代码
     */
    @ExcelProperty(value = "故障代码")
    private String faultCode;

    /**
     * 故障名称
     */
    @ExcelProperty(value = "故障名称")
    private String faultName;

    /**
     * 故障位置
     */
    @ExcelProperty(value = "故障位置")
    private String location;

    /**
     * 故障等级
     */
    @ExcelProperty(value = "故障等级")
    private String level;

    /**
     * 故障现象
     */
    @ExcelProperty(value = "故障现象")
    private String symptoms;

    /**
     * 故障原因
     */
    @ExcelProperty(value = "故障原因")
    private String faultCause;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remarks;

    /**
     * 删除标识（1删除 0未删除）
     */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


    /**
     * 创建人名称
     */
    @FieldMapper(type = MapperConstant.USER_ID_TO_NAME, mapper = "createBy")
    private String createByName;

    /**
     * 创建人名称
     */
    @FieldMapper(type = MapperConstant.USER_ID_TO_NAME, mapper = "updateBy")
    private String updateByName;

}
