package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.eco.common.excel.annotation.ExcelDictFormat;
import org.eco.common.excel.convert.ExcelDictConvert;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 定检任务记录导入视图对象 als_sm_task_record_t
 *
 * @author wgk
 * @date 2024-07-25
 */

@Data
@NoArgsConstructor
@ExcelIgnoreUnannotated
public class SmTaskRecordImportVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


    /**
     * 机号
     */
    @ExcelProperty(value = "机号")
    private String aircraftNo;

    /**
     * 机型
     */
    @ExcelProperty(value = "机型")
    private String aircraftModel;

    /**
     * 任务名称
     */
    @ExcelProperty(value = "任务名称")
    private Date name;

    /**
     * 任务编码
     */
    @ExcelProperty(value = "任务编码")
    private String code;

    /**
     * 维修时间
     */
    @ExcelProperty(value = "维修时间")
    private Date endTime;

    /**
     * 剩余时间
     */
    @ExcelProperty(value = "剩余时间")
    private String remainTime;

    /**
     * 专业
     */
    @ExcelProperty(value = "专业")
    private String specialty;

    /**
     * 维修内容
     */
    @ExcelProperty(value = "维修内容")
    private String contents;

    /**
     * 状态（1正常）
     */
    @ExcelProperty(value = "状态", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "common_type")
    private String status;

    /**
     * 删除标识（1删除 0未删除）
     */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


}
